Subject: bug#73286: [PATCH] Add foldout command for widening to current fold

From: Paul Nelson <[email-masked]>
Date: Tue, 1 Oct 2024 10:46:14 +0100

> Thanks.  This new feature LGTM, but I'm not convinced we should have a
> separate key binding for this new command by default.  If we want to
> have a default key binding at all, maybe we should make "C-c C-x"
> invoke this command when given a negative argument.

Thanks.  Two quick comments:

1. I'm happy leaving the key unbound by default -- in my own config, I
rebind "C-x n w" from widen to foldout-widen-to-current-fold and never
use the proposed "C-c @ C-w" bind.

2. "C-c @ C-x" already treats negative arguments specially ("...with
ARG < 0, -ARG folds are exited and text is left visible")